Przejdź do głównej treści
POST
/
api
/
v1
/
sending-domain
/
verify-dns
Zweryfikuj rekordy DNS domeny
curl --request POST \
  --url https://api.railmail.app/api/v1/sending-domain/verify-dns \
  --header 'X-API-Key: <api-key>'
{
  "domainId": 123,
  "resultingStatus": "<string>",
  "healthScore": 123,
  "records": [
    {
      "id": 123,
      "recordType": "<string>",
      "host": "<string>",
      "expectedValue": "<string>",
      "actualValue": "<string>",
      "status": "<string>",
      "lastCheckedAt": "2023-11-07T05:31:56Z",
      "failureReason": "<string>"
    }
  ],
  "allVerified": true
}

Autoryzacje

X-API-Key
string
header
wymagane

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Odpowiedź

Wynik weryfikacji

domainId
integer<int64> | null
resultingStatus
string | null
healthScore
integer | null
records
object[]
allVerified
boolean